diff --git a/Makefile.am b/Makefile.am
index 719ac33..4c251a2 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -7,6 +7,10 @@ AM_CXXFLAGS = -std=c++11
 
 lib_LTLIBRARIES = libupnpp.la
 
+ACLOCAL_AMFLAGS = -I m4 -I /usr/local/share/aclocal -I /usr/local/Cellar/pkg-config/0.29.2/share/aclocal
+
+
+
 libupnpp_la_SOURCES = \
     libupnpp/control/avlastchg.cxx \
     libupnpp/control/avlastchg.hxx \
diff --git a/autogen.sh b/autogen.sh
index b170a86..976e5ed 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
+aclocal -I /usr/local/share/aclocal
 aclocal
-libtoolize --copy --force
+glibtoolize --copy --force
 automake --add-missing --copy
 autoconf
diff --git a/configure.ac b/configure.ac
index 8903b72..f9c87b7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -102,3 +102,6 @@ AC_SUBST(VERSION_INFO)
 AC_CONFIG_FILES([Makefile])
 AC_CONFIG_FILES([libupnpp.pc])
 AC_OUTPUT
+
+AC_CONFIG_MACRO_DIRS([m4])
+
